@use '../utils/variables' as var;
@use '../utils/mixins';

.actors-list {
    @include mixins.wrapper;
}

.actors-list__title {
    color: var.$textcolor;
    text-align: center;
    font-weight: var.$font-extra-bold;

    @media (max-width: 768px) {
        font-size: 24px;
        margin-bottom: 7px;
    }
}

.actors-list__list {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 0;
    width: 100%;
}

.actors-list__link {
    color: var.$textcolor;
    text-decoration: none;
    font-weight: var.$font-extra-bold;
    font-size: 1.25em;

    &:hover {
        opacity: 0.7;
        text-decoration: none;
        color: var.$textcolor;
    }
}

.actors-list__card {
    margin-left: 7px;
    margin-right: 7px;
    width: 300px;
    height: 455px;
}

.actors-list__img {
    width: 100%;
    height: 85%
}

.actors-list__text {
    margin-top: 2px;
    margin-bottom: 2px;

    &--country {
        margin-bottom: 10px;
    }
}

.actors__filters {
    justify-content: center;
}

.actors__filter-link {
    color: var.$textcolor !important;

    &:focus, &:checked {
        background-color: var.$buttoncolor !important;
    }
}

.uk-active>.actors__filter-link {
    background-color: var.$buttoncolor !important;
}